/* Variables */
:root {
  --dark: #1a1a1d;
  --grey: #4e4e50;
  --red: #c3073f;
  --purple: #950740;
  --mute: #6f2232;
}

/* global styles */
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  background-color: var(--dark);
  font-family: sans-serif;
}

h1 {
  color: var(--red);
}
button, input {
  border: 1px solid var(--red);
  background-color: white;
  border-radius: .25rem;
  outline: none;
  padding: .5rem .75rem;
  display: block;
  margin: .5rem 0;
}
button:hover, input[type="file"]:hover {
  cursor: pointer;
}
button {
  border: none;
  background-color: var(--red);
  color: white;
}

/* Prompt styles */
.prompt {
  height: 100vh;
  width: 100vw;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}

.prompt_btns {
  display: flex;
  justify-content: center;
  align-items: center;
}
.prompt_btns button {
  margin: 0 .25rem;
}
.prompt_btns .disabled {
  pointer-events: none;
  background-color: var(--mute);
  color: var(--dark);
}

/* Crop Styles */
#crop-container {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: none;
}
#crop-button {
  margin: 0 auto;
}

/* Canvas Styles */
#result {
  display: none;
}
#myCanvas {
  margin: .5rem 0;
}